package top.octopusyan.utils;

import com.jfoenix.validation.RegexValidator;
import com.jfoenix.validation.RequiredFieldValidator;
import com.jfoenix.validation.StringLengthValidator;
import com.jfoenix.validation.base.ValidatorBase;
import org.apache.commons.lang3.StringUtils;

/**
 * @author : octopus yan
 * @email : octopus_yan@foxmail.com
 * @description :  JFX文本校验
 * @create : 2022-4-2 17:03
 */
public class TextValidate {
//    /**
//     * 账号格式错误
//     */
//    public static ValidatorBase AccountFail = new ValidatorBase() {
//        @Override
//        protected void eval() {
//            setMessage("账号格式错误");
//            hasErrors.set(true);
//        }
//    };

    /** 账号不能为空 */
    public static RequiredFieldValidator AccoountRequired = new RequiredFieldValidator("账号不能为空！");

    /** 账号格式 */
    public static RegexValidator AccoountValidator = new RegexValidator("账号格式有误！");
    /** 密码不能为空 */
    public static RequiredFieldValidator PasswordRequired = new RequiredFieldValidator("密码不能为空！");

    /** 邮箱地址格式验证 */
    public static RegexValidator EmailFormat = new RegexValidator("邮箱地址格式错误");

    static {
        EmailFormat.setRegexPattern("^\\s*\\w+(?:\\.{0,1}[\\w-]+)*@[a-zA-Z0-9]+(?:[-.][a-zA-Z0-9]+)*\\.[a-zA-Z]+\\s*$");
        AccoountValidator.setRegexPattern("^[a-zA-Z0-9_-]*$");
    }

    /**
     * 文本长度校验
     * <p/> message > name + "长度有误"
     */
    public static StringLengthValidator getLengthValidator(String name, int length){
        return new StringLengthValidator(name+"长度有误", length);
    }

    /**
     * 文本长度校验
     * <p/> message > name + "长度有误，应在" + min + "到" + max + "之间"
     */
    public static RegexValidator getLengthValidator(int min, int max, String name){
        String message = name + "长度有误，应在" + min + "到" + max + "之间";

        RegexValidator validator = new RegexValidator(message);

        validator.setRegexPattern("[a-zA-Z0-9_-]{" + min + "," + max + "}$");

        return validator;
    }
}
